%define name cpp2latex
%define version 2.3
%define release %mkrel 1

Summary:	Converts C/C++ code to a LaTeX file
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/C++
Url:		http://www.arnoldarts.de/drupal/?q=Cpp2LaTeX
Source:		http://www.arnoldarts.de/drupal/files/downloads/cpp2latex/%{name}-%{version}.tar.bz2
BuildRequires:	flex
Buildroot:	%{_tmppath}/%{name}-buildroot
Requires:	tetex-latex

%description
cpp2latex takes as input a C or C++ source file and outputs a LaTeX
file that is a beautified listing (optionally the output can contain
the 'documentstyle' header and so on).

%prep
%setup

%build
%configure
%make CFLAGS="-DC_PLUSPLUS $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README ChangeLog
%{_bindir}/cpp2latex



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.3-1mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Adam Williamson <awilliamson@mandriva.com> 2.3-1mdv2008.0
+ Revision: 20279
- Import cpp2latex

